using System;
using System.Collections.Generic;
using System.Text;
using StateTokenizer;

namespace LexParserAppl
{
    class Program
    {
        static void Main(string[] args)
        {

            string udtryk = "abc 12 34 def;hij junior 56" + "\0\0";        // 2 stop, for ikke at skulle tnke p problem med follow

            TokenStateControler tsc = new TokenStateControler();
            
            int pos = 0;
            do
            {
                tsc.Reset();
                do
                {
                    tsc.Next(udtryk[pos]);
                    ++pos;
                } while (!tsc.IsEndOfToken());
                
                Console.WriteLine("Token type=" + tsc.TokenType() + " value=" + tsc.TokenValue());

                --pos; // sidste position er ikke brugt i token - kun set (efter token) derfor rykkes een tilbage
            } while (tsc.TokenType() != "END");

            Console.ReadLine();
        }
    }
}
