using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    // Denne klasse anvendes som end state for flere typer
    // I stedet for flere klasser anvendes feltet tokenType til afgre hvilken

    class TokenState_End : TokenState
    {
        private string tokenType;
        private string tokenValue;   // leksem
        public TokenState_End(string tokenType, string value)
        {
            this.tokenType = tokenType;
            this.tokenValue = value;
        }
        public override TokenState Next(char tegn)
        {
            throw new Exception("State fejl - for meget input");
        }
        public string TokenType()
        {
            return this.tokenType;
        }
        public string TokenValue()
        {
            return this.tokenValue;
        }
    }
}
