using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    class TokenState_HeltalIgang : TokenState
    {
        private string tal;
        public TokenState_HeltalIgang(char tegn)
        {
            tal = tegn.ToString();
        }
        public override TokenState Next(char tegn, char follow)
        {
            if (!Tegn.IsDigit(tegn)) return new TokenState_End("FEJL", "Fejl i talinput efter " + this.tal + " <" + tegn + "> ciffer forventet");
            tal = tal + tegn;
            if (Tegn.IsDigit(follow)) return this;
            return new TokenState_End("HELTAL", this.tal);
        }
    }
}
