using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    class TokenState_OrdIgang : TokenState
    {
        private string ord;
        public TokenState_OrdIgang(char tegn)
        {
            ord = tegn.ToString();
        }
        public override TokenState Next(char tegn, char follow)
        {
            if (!Tegn.IsLetter(tegn)) return new TokenState_End("FEJL", "Fejl i navneinput efter " + this.ord + " <" + tegn + "> bogstav forventet");
            ord = ord + tegn;
            if (Tegn.IsLetter(follow)) return this;
            if (this.ord == "junior") return new TokenState_End("KATEGORI", this.ord);
            if (this.ord == "senior") return new TokenState_End("KATEGORI", this.ord);
            return new TokenState_End("NAVN", this.ord);
        }
    }
}
