using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    // NB: Char klassen kan faktisk bruges til de fleste af disse metoder, men 

    public class Tegn
    {
        public static string whiteSpaces = " \r\n\t";
        public static string seperators = ";";
 
        public static bool IsWhiteSpace(char tegn)
        {
            return whiteSpaces.IndexOf(tegn) >= 0;
        }
        public static bool IsDigit(char tegn)
        {
            return '0' <= tegn && tegn <= '9';
        }
        public static bool IsLetter(char tegn)
        {
            if ('a' <= tegn && tegn <= 'z') return true;
            if ('A' <= tegn && tegn <= 'Z') return true;
            switch (tegn)
            {
                case '':
                case '':
                case '':
                case '':
                case '':
                case '':
                case '':
                case '':
                    return true;
                default: return false;
            }
        }
        public static bool IsEndOfInput(char tegn)
        {
            return tegn == '\0';
        }
        public static bool IsSeperator(char tegn)
        {
            return seperators.IndexOf(tegn)>=0;
        }
    }
}
