using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    public class TokenStateControler
    {
        private TokenState state;

        public TokenStateControler()
        {
            Reset();
        }
        public void Next(char tegn)
        {
            this.state = this.state.Next(tegn);
        }
        public void Reset()
        {
            this.state = new TokenState_Start();
        }
        public bool IsEndOfToken()
        {
            return this.state is TokenState_End;
        }
        public string TokenType()
        {
            if (!(this.state is TokenState_End)) return null;
            TokenState_End t = this.state as TokenState_End;
            return t.TokenType();
        }
        public string TokenValue()
        {
            if (!(this.state is TokenState_End)) return null;
            TokenState_End t = this.state as TokenState_End;
            return t.TokenValue();
        }


    }
}
