using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    class TokenState_Seperator : TokenState
    {
        private string seperator;
        public TokenState_Seperator(char tegn)
        {
            seperator = tegn.ToString();
        }
        public override TokenState Next(char tegn)
        {
            if (seperator == ";") return new TokenState_End("SEMIKOLON", this.seperator);
            return new TokenState_End("FEJL", "Ikke tilladt seperator tegn <"+seperator+">");
        }
    }
}
