using System;
using System.Collections.Generic;
using System.Text;

namespace StateTokenizer
{
    class TokenState_Start : TokenState
    {
        public TokenState_Start()
        {
        }
        public override TokenState Next(char tegn)
        {
            if (Tegn.IsWhiteSpace(tegn)) return this;    // bliv i state
            if (Tegn.IsLetter(tegn)) return new TokenState_Ord(tegn);
            if (Tegn.IsDigit(tegn)) return new TokenState_Heltal(tegn);
            if (Tegn.IsSeperator(tegn)) return new TokenState_Seperator(tegn);
            if (Tegn.IsEndOfInput(tegn)) return new TokenState_End("END", "");
            return new TokenState_End("FEJL", "Fejl i start tegn");
        }
    }
}
